Skip to content

Recalculate all Roll-up fields for the specified object. Learn more about Roll-up fields in Vault Help.

When performing a full recalculation, Vault evaluates all Roll-up fields on an object asynchronously.

This endpoint is equivalent to the Recalculate Roll-up Fields action in the Vault UI. While a recalculation is running, Admins cannot start another recalculation using either Vault API or Vault UI.

POST/api/{version}/vobjects/{object_name}/actions/recalculaterollups
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The name of the object on which to start the Roll-up field recalculation.
curl -X POST -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/vobjects/product__v/actions/recalculaterollups
{ "responseStatus": "SUCCESS", "responseMessage": "SUCCESS" }

Returns SUCCESS if the recalculation starts successfully, or FAILURE if a recalculation is already running for the specified object.